aboutsummaryrefslogtreecommitdiffhomepage
path: root/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 56f0477..e4acdc4 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,11 +1,11 @@
#!/bin/env sh
-set -euo pipefail
+set -eo pipefail
cc=gcc
cflags="-std=c11"
src=$(grep -o '\([_A-Za-z0-9/]\)\+\.c' < Makefile)
X() {
- echo "> $@" | sed -s 's/\([^ ]\+\.c \?\)\{10\}$/.../'
+ echo "> $@" | ([ x"$V" == x1 ] && cat || sed -s 's/\([^ ]\+\.c \?\)\{10\}$/.../')
$@
}
echo "== Stage 0 (compiling with $cc) =="